# DTM pressure sensors
namespace eval dtm {} {
}

proc stdConfig::dtm {fact} {
  controller std "\r" 5
  prop startcmd "IDN?"

  pollperiod 1
  obj dtm rd -float
  prop read dtm::read $fact
  
} 

proc dtm::read {fact} {
  sct send "PRES?"
  return "dtm::update $fact" 
}

proc dtm::update {fact} {
  sct update [expr [sct result] * $fact]
  return idle
}

